/* *************************************************************
   RWhois Software

   Copyright (c) 1994 Scott Williamson and Mark Kosters
   Copyright (c) 1996-2000 Network Solutions, Inc.

   See the file LICENSE for conditions of use and distribution.
**************************************************************** */

#ifndef _WHOISQUERY_H
#define _WHOISQUERY_H

#include "rwhois.h"

#define WHOIS_PORT      43
#define MAXBUFFER       1024

typedef struct {
  char *disclaimer;
  char *separator;
  char *text;
} rw_whois_result_struct;

int rwhois_whoisconnect(rw_server_struct   *server,
                        rw_response_struct *response);

rw_whois_result_struct *
rwhois_query_whois_server(rw_server_struct   *server,
                          char               *rwhois_query,
                          rw_response_struct *response);

rw_whois_result_struct *
rwhois_query_whois_referral(rw_referral_struct *referral,
                            char               *rwhois_query,
                            int                debug_level,
                            rw_response_struct *response);

int destroy_rw_whois_result_struct(rw_whois_result_struct *res);

#endif/* _WHOISQUERY_H */
